
#language: ru

@SalesOfProductsRLS

Функционал: 011. SalesOfProductsRLS. Создание реализации товаров РЛС - Сырная ГП

Сценарий: 011.1. SalesOfProductsRLS. Создание реализации товаров РЛС - Сырная ГП

	Дано Я подключаюсь под "Формирование накладных РЛС (Сырная ГП)"
	Дано я устанавливаю текущему сеансу заголовок приложения "16.011. РЛС Реализация товаров"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '17.02.2020'
	И в поле 'DateEnd' я ввожу текст '17.02.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'    | 'Транспорт/План отгрузки'             |
		| '102,500' | 'А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ДеревоПлановОтгрузки" я разворачиваю текущую строку
	Тогда таблица "ДеревоПлановОтгрузки" стала равной по шаблону:
		| 'Транспорт/План отгрузки'             | 'Факт' | 'Статус'        | 'План'    |
		| 'А524НВ Газель, Водитель Петров Петр' | ''     | ''              | '102,500' |
		| '*'                                   | ''     | 'Запланировано' | '102,500' |
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'    | 'Статус'        |
		| '102,500' | 'Запланировано' |
	Тогда таблица "ТоварыПланаОтгрузки" стала равной:
		| 'Номенклатура'                             | 'Количество' |
		| 'Сыр Адыгейский / Ашан упак (5 кг) (Ашан)' | '20,000'     |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'План в Факт'
	Тогда таблица "ТоварыРаспоряженияНаОтгрузку" стала равной:
		| 'Распоряжение' | 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия' | 'В ед. хранения' |
		| ''             | '20,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '102,500, кг'    |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я завершаю редактирование строки
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'Сохранить'
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'    | 'Статус'        | 'Факт'    |
		| '102,500' | 'Запланировано' | '102,500' |
	Тогда таблица "ТоварыРаспоряженияНаОтгрузку" стала равной по шаблону:
		| 'Распоряжение'               | 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| 'Распоряжение на отгрузку *' | '20,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '102,500, кг'    |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|'Статус' |
		| 'А524НВ Газель, Водитель Петров Петр' | ''      |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку с подчиненными
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение/Заказ'        | 'Получатель'             | 'Вес' | 'Накладная' | 'Статус' |
		| 'А524НВ Газель, Водитель Петров Петр' | ''                       | '205' | ''          | ''       |
		| 'Распоряжение на отгрузку *'          | ''                       | '205' | ''          | ''       |
		| 'Заказ клиента * от *'                | 'Ашан. Скидочный регион' | '205' | ''          | ''       |
	И я нажимаю на кнопку 'Сформировать'
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение/Заказ'        | 'Получатель'             | 'Вес' | 'Накладная'            | 'Статус'       |
		| 'А524НВ Газель, Водитель Петров Петр' | ''                       | '205' | ''                     | 'Сформирована' |
		| 'Распоряжение на отгрузку *'          | ''                       | '205' | ''                     | 'Сформирована' |
		| 'Заказ клиента * от *'                | 'Ашан. Скидочный регион' | '205' | 'Реализация товаров *' | 'Сформирована' |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке по шаблону:
		| 'Вес' | 'Накладная'            | 'Получатель'             | 'Статус'       | 'Транспорт/Распоряжение/Заказ' |
		| '205' | 'Реализация товаров *' | 'Ашан. Скидочный регион' | 'Сформирована' | 'Заказ клиента *'              |
	И в таблице "ДеревоДокументовОтгрузки" я активизирую поле "Накладная"
	И в таблице "ДеревоДокументовОтгрузки" я выбираю текущую строку
	Тогда открылось окно 'Реализация товаров * от *'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'     | 'Вес, кг' |
		| '20,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'                | 'Ашан'           | '9 453,58'   | '000001 до 27.10.2020 0:00:00' | '102,500, кг'    | '92,23'     | '1 575,60'  | '9 453,58'   | 'Сырная ГП' | '205'     |
	И Я закрываю окно 'Реализация товаров * от *'
	Тогда открылось окно 'Формирование накладных'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 011.2. SalesOfProductsRLS. Завершение

	И Я закрыл все окна клиентского приложения